"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schema = void 0;
exports.schema = "### Web3API Header START ###\nscalar UInt\nscalar UInt8\nscalar UInt16\nscalar UInt32\nscalar Int\nscalar Int8\nscalar Int16\nscalar Int32\nscalar Bytes\nscalar BigInt\nscalar JSON\n\ndirective @imported(\n  uri: String!\n  namespace: String!\n  nativeType: String!\n) on OBJECT | ENUM\n\ndirective @imports(\n  types: [String!]!\n) on OBJECT\n### Web3API Header END ###\n\ntype Query {\n  get(\n    url: String!\n    request: Request\n  ): Response\n\n  post(\n    url: String!\n    request: Request\n  ): Response\n}\n\ntype Header {\n  key: String!\n  value: String!\n}\n\ntype UrlParam {\n  key: String!\n  value: String!\n}\n\ntype Response {\n  status: Int!\n  statusText: String!\n  headers: [Header!]\n  body: String\n}\n\ntype Request {\n  headers: [Header!]\n  urlParams: [UrlParam!]\n  responseType: ResponseType!\n  body: String\n}\n\nenum ResponseType {\n  TEXT\n  BINARY\n}\n\n### Imported Queries START ###\n\n### Imported Queries END ###\n\n### Imported Objects START ###\n\n### Imported Objects END ###\n";
//# sourceMappingURL=schema.js.map